Loading...
Searching...
No Matches
L4::Types::Int_for_type< T > Struct Template Reference

Metafunction to get an integral type of the same size as T. More...

`#include <types>`

Collaboration diagram for L4::Types::Int_for_type< T >:

## Public Types

typedef Int_for_size< sizeof(T)>::type | type
| The resulting unsigned integer type with the size like T.

## Detailed Description

template<typename T>
struct L4::Types::Int_for_type< T >

Metafunction to get an integral type of the same size as T.

Template Parameters

  T | The type for which an unsigned integral type with the same size is needed.

Definition at line 180 of file types.

The documentation for this struct was generated from the following file:

- l4/sys/cxx/types